## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-pydo
Version:        0.13.0
Release:        %autorelease
Summary:        The official client for interacting with the DigitalOcean API

License:        Apache-2.0
URL:            https://github.com/digitalocean/pydo
Source:         %{url}/archive/v%{version}/pydo-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
# Test dependencies
BuildRequires:  python3dist(aioresponses)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(responses)

%global _description %{expand:
pydo is the official Python client library that allows Python developers to
interact with and manage their DigitalOcean resources through a Python
abstraction layer on top of the raw DigitalOcean API HTTP Interface.

A top priority of this project is to ensure the client abides by the API
contract. Therefore, the client itself wraps a generated client based on the
DigitalOcean OpenAPI Specification to support all of DigitalOcean's HTTP APIs.}

%description %_description

%package -n     python3-pydo
Summary:        %{summary}

%description -n python3-pydo %_description

%pyproject_extras_subpkg -n python3-pydo aio


%prep
%autosetup -p1 -n pydo-%{version}


%generate_buildrequires
%pyproject_buildrequires -x aio


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -L pydo


%check
%pyproject_check_import
%pytest -rA --tb=short tests/mocked/.

%files -n python3-pydo -f %{pyproject_files}
%license LICENSE
%doc README.md
%doc ADR.md

%changelog
## START: Generated by rpmautospec
* Sat Jul 19 2025 John Doe <packager@example.com> - 0.13.0-1
- Uncommitted changes
## END: Generated by rpmautospec
